<!--
    SPDX-FileCopyrightText: 2021-2024 Simon Repp
    SPDX-License-Identifier: CC0-1.0
-->

# Faircamp

**A static site generator for audio producers**

Point Faircamp to a folder hierarchy containing your audio files. Within
minutes, Faircamp builds a complete website presenting your work. The
resulting site requires no database, no programming, no maintenance, and is
compatible with virtually every webhost on this planet.

Latest Release: **`0.22.1`** [Download](https://simonrepp.com/faircamp/manual/installation.html) [Changelog](https://codeberg.org/simonrepp/faircamp/src/branch/main/CHANGELOG.md)

<img src="https://simonrepp.com/faircamp/readme.jpg?2" alt="Screenshot of a pink/violet-colored website presenting an album called 'Valedictions EP' by artist 'Turnus'. The most prominent features are big buttons labelled 'Pause', 'Download' and 'Extra info', a short synopsis text, smaller buttons labelled 'Copy link' and 'M3U Playlist', a list of tracks decorated with delicate lines resembling waveforms and at the very bottom a YouTube-like control bar for playing/pausing, going to the next track, setting the volume, or seeking in the track. One track is playing, it's name is 'Distances'."/>

Visit the [website](https://simonrepp.com/faircamp) for more information, screenshots, links, etc.

## Faircamp 1.0

Development in 2024 is financed by the European Commission's [Next Generation Internet](https://www.ngi.eu/)
programme through the [NGI0 Entrust](https://nlnet.nl/entrust/) fund established by [NLnet](https://nlnet.nl/).

Also see the [project grant website](https://nlnet.nl/project/Faircamp/) for more details.

## Stability and completeness

Install one of the available [packages](https://simonrepp.com/faircamp/manual/installation.html)
or build faircamp yourself from the latest tag for the most stable experience. Faircamp can
also be built directly from the main branch, this opts you in to occasional design experiments
and temporary development glitches. Throughout late 2024 expect plenty of flux in the course of the
[Faircamp 1.0 NGI0 grant](https://nlnet.nl/project/Faircamp/). Technically
nothing about the catalog format is set in stone, but practically speaking
actual changes are rare and only made for significant
reasons.

## Documentation

See faircamp's comprehensive [Manual](https://simonrepp.com/faircamp/manual).

## Build/Install

See the [Installation](https://simonrepp.com/faircamp/manual/installation.html) page in the
[Manual](https://simonrepp.com/faircamp/manual). If the online version of the manual should
be inaccessible, the same information is also available in the repository itself, in
[01 Installation.md](https://codeberg.org/simonrepp/faircamp/src/branch/main/src/manual/topics/01%20Installation.md).

## Licensing

Faircamp is licensed under the [AGPL-3.0-or-later](https://spdx.org/licenses/AGPL-3.0-or-later.html).

Documentation is licensed under the [CC0-1.0](https://creativecommons.org/publicdomain/zero/1.0/).

Builds generated with faircamp re-distribute the [Barlow](https://tribby.com/fonts/barlow/) font,
licensed under the [OFL-1.1](https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL).

The faircamp manual re-distributes the [Fira Mono](https://github.com/mozilla/Fira) and
[Titillium Web](http://nta.accademiadiurbino.it/titillium/) fonts, licensed under the
[OFL-1.1](https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL).
